#!/usr/bin/env python
# -*- coding: latin-1 -*-

"""HEN eye-tracking experiment IMGAGE CAPTURE"""

from psychopy import core, visual, gui, data, event
import numpy as np
import os, glob

# screen size
from win32api import GetSystemMetrics
scx = GetSystemMetrics (0)
scy = GetSystemMetrics (1)

# read files, sort by conditions and all that
# list files
DIR = os.path.dirname(os.path.realpath(__file__))  	#current dir
stimuliFiles = glob.glob(os.path.join(DIR,'cond_*.txt')) # all the stims
imageDir = os.path.join(DIR, 'images') 		# save to this dir

# LOOP THROUGH ALL CONDITIONS
for stim in stimuliFiles:
	# read file
	stimuliText = open(stim)
	stimuliText= stimuliText.read().decode('latin-1')
	stimuliText = [x for x in stimuliText.split('\n')]
	
	# open window
	w = visual.Window([scx,scy], fullscr = True, allowGUI= False, monitor='testMonitor', units='pix', color = [205, 205, 205], colorSpace = 'rgb255')			# window
	theStatement = visual.TextStim(w, text = "", pos = (-550, 160), height = 40, color = "black", alignVert = "top", alignHoriz = "left", wrapWidth = scx - 200, font = "Courier New") ## thisis the statement/main stimlus
	
	#stim display
	nLetters = 45
	nLines = 3
	
	#loop over lines in file and display and save
	for stm in stimuliText:
		thisTxt = [x for x in stm.split('\t')]
		sT = thisTxt[3].split(' ')
		nWords = len((sT))
		
		# show stim
		count = 0
		first = 1
		line = ''
		for i in range(nWords):
			noend = 1
			test = line + ' ' + sT[i]
			if first:
				test = test[1:]
				first = 0 
			if len(test) >= nLetters:
				line = '\n'*(count*nLines) + line
				theStatement.setText(line)
				theStatement.draw()
				line = sT[i]
				count += 1
				noend = 1
			else:
				line = test
		if noend:
			line = '\n'*(count*nLines) + line
			theStatement.setText(line)
			theStatement.draw()
		w.flip()
		
		# record display and save
		w.getMovieFrame()
		fileName = thisTxt[0] + '_' + thisTxt[2] + '.jpg'
		fN = os.path.join(imageDir,fileName)
		w.saveMovieFrames(fN)
		core.wait(0.5)


core.quit()
